diff packaging/linux-installer.inc.in @ 680:a5a709c6ce93

Added minimal shar based installer for linux.
author Sascha Wilde <wilde@intevation.de>
date Mon, 30 Jun 2014 18:33:26 +0200
parents
children 578860edde53
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/packaging/linux-installer.inc.in	Mon Jun 30 18:33:26 2014 +0200
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+PREFIX=/usr/local
+
+fatal()
+{
+  echo "$1" >&2
+  echo "Installation failed." >&2
+  exit 1
+}
+
+cat <<EOF
+------------------------------------------------------------------------
+
+   TrustBridge - Installer
+   Version @PROJECT_VERSION@
+
+------------------------------------------------------------------------
+EOF
+
+echo -n "Select installation prefix for TrustBridge [${PREFIX}]: "
+read -e path
+
+echo "Installing to '$path':"
+
+if [ ! -d "$path" ] ; then
+    echo "creating installation directory ..."
+    install -d "$path" || fatal "Could not create '$path'!"
+fi
+
+echo "unpacking files ..."
+cd "$path"
+
+# ----------------------------------------------------------------------
+# regular shar archive appended here:

http://wald.intevation.org/projects/trustbridge/